import Inputmask from 'inputmask';
export declare class UIInputmaskCustomAttribute {
    private element;
    constructor(element: Element);
    value: string;
    ignoreChange: boolean;
    valueChanged(): void;
    incompleteValue: string;
    mask: string;
    format: "currency" | "decimal" | "ip" | "iban" | 'integer' | 'phone' | 'percentage';
    localOptions: Object;
    masks: string[];
    regex: string;
    maskChanged(): void;
    isValueMasked: boolean;
    input: HTMLInputElement;
    instance: Inputmask;
    options: Record<string, unknown>;
    optionsChanged(newOptions: any, oldOptions: any): void;
    attached(): void;
    createInstance(): void;
    detached(): void;
    onInputChanged: () => void;
    setLocalOptions: () => void;
}
